## org.hibernate.ejb.packaging
Class PersistenceMetadata

    java.lang.Object
      org.hibernate.ejb.packaging.PersistenceMetadata

    public class PersistenceMetadata

extends Object

Simple represenation of persistence.xml Object used by JBoss EJB 3 for persistence.xml parsing Object used by Hibernate OGM as well, consider this some kind of exposed service at the SPI level

Author:
  Bill Burke

Constructor Summary
`PersistenceMetadata()`

Method Summary
`List<String>` `getClasses()`
`boolean` `getExcludeUnlistedClasses()`
`List<NamedInputStream>` `getHbmfiles()`
`Set<String>` `getJarFiles()`
`String` `getJtaDatasource()`
`List<String>` `getMappingFiles()`
`String` `getName()`
`String` `getNonJtaDatasource()`
`List<String>` `getPackages()`
`Properties` `getProps()`
`String` `getProvider()`
`String` `getSharedCacheMode()`
`PersistenceUnitTransactionType` `getTransactionType()`
`String` `getValidationMode()`
`String` `getVersion()`
`boolean` `isExcludeUnlistedClasses()`
`boolean` `isUseQuotedIdentifiers()`
`void` `setClasses(List<String> classes)`
`void` `setExcludeUnlistedClasses(boolean excludeUnlistedClasses)`
`void` `setHbmfiles(List<NamedInputStream> hbmfiles)` Deprecated. use getHbmfiles() rather
`void` `setJarFiles(Set<String> jarFiles)`
`void` `setJtaDatasource(String jtaDatasource)`
`void` `setMappingFiles(List<String> mappingFiles)`
`void` `setName(String name)`
`void` `setNonJtaDatasource(String nonJtaDatasource)`
`void` `setPackages(List<String> packages)`
`void` `setProps(Properties props)`
`void` `setProvider(String provider)`
`void` `setSharedCacheMode(String sharedCacheMode)`
`void` `setTransactionType(PersistenceUnitTransactionType transactionType)`
`void` `setUseQuotedIdentifiers(boolean useQuotedIdentifiers)`
`void` `setValidationMode(String validationMode)`
`void` `setVersion(String version)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceMetadata

    public PersistenceMetadata()

Method Detail

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getSharedCacheMode

    public String getSharedCacheMode()

### isExcludeUnlistedClasses

    public boolean isExcludeUnlistedClasses()

### getName

    public String getName()

### setName

    public void setName(String name)

### getTransactionType

    public PersistenceUnitTransactionType getTransactionType()

### setTransactionType

    public void setTransactionType(PersistenceUnitTransactionType transactionType)

### getNonJtaDatasource

    public String getNonJtaDatasource()

### setNonJtaDatasource

    public void setNonJtaDatasource(String nonJtaDatasource)

### getJtaDatasource

    public String getJtaDatasource()

### setJtaDatasource

    public void setJtaDatasource(String jtaDatasource)

### getProvider

    public String getProvider()

### setProvider

    public void setProvider(String provider)

### isUseQuotedIdentifiers

    public boolean isUseQuotedIdentifiers()

### setUseQuotedIdentifiers

    public void setUseQuotedIdentifiers(boolean useQuotedIdentifiers)

### getClasses

    public List<String> getClasses()

### setClasses

    public void setClasses(List<String> classes)

### getPackages

    public List<String> getPackages()

### setPackages

    public void setPackages(List<String> packages)

### getMappingFiles

    public List<String> getMappingFiles()

### setMappingFiles

    public void setMappingFiles(List<String> mappingFiles)

### getJarFiles

    public Set<String> getJarFiles()

### setJarFiles

    public void setJarFiles(Set<String> jarFiles)

### getProps

    public Properties getProps()

### setProps

    public void setProps(Properties props)

### getHbmfiles

    public List<NamedInputStream> getHbmfiles()

### setHbmfiles

    public void setHbmfiles(List<NamedInputStream> hbmfiles)

  Deprecated. use getHbmfiles() rather

### getExcludeUnlistedClasses

    public boolean getExcludeUnlistedClasses()

### setExcludeUnlistedClasses

    public void setExcludeUnlistedClasses(boolean excludeUnlistedClasses)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setValidationMode

    public void setValidationMode(String validationMode)

### getValidationMode

    public String getValidationMode()

### setSharedCacheMode

    public void setSharedCacheMode(String sharedCacheMode)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.